Subject: bug#37667: 27.0.50; Tab Bar display problems with more than 5 tabs

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 20 Sep 2020 13:24:29 +0200

Eli Zaretskii <[email-masked]> writes:

> To reproduce, invoke Emacs from the src directory:
>
>   ./emacs -Q
>
> and then type:
>
>   C-x 6 f xdisp.c RET
>   C-x 6 f dispnew.c RET
>   C-x 6 f dispextern.h RET
>   C-x 6 f window.c RET
>   C-x 6 f frame.c RET
>
> The 6th button is displayed partially on the 1st tab-bar line, and the
> rest on the 2nd line, which I don't think is pretty.

This is a very long thread, and I've just skimmed parts of it.  Much has
changed in the tab dept. since this bug report, but it seems like the
tabs basically have the same problem as described here.  (Although I had
to open 11 buffers this way to make it do this.)

Was the conclusion that this is how tabs should be displayed, or is this
a new regression?

I think it'd make more sense to put "category.c" on a new line, and not
break in the middle of the string?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no